package matrix

import (
	lib "git.sr.ht/~cco/go-scopes"
	"git.sr.ht/~cco/go-scopes/config"
	"git.sr.ht/~cco/go-scopes/core"
	"git.sr.ht/~cco/go-scopes/core/action"
)

func Start(ctx lib.Context) {
	cfg := ctx.Config()
	cfg.AddAction("create", action.Base(create))
	core.Start(ctx)
}

type celLConfig struct {
	*config.BaseCfg
}

func create(act lib.Action) bool {
	ctx := act.Context()
	//msg := act.Message()
	//spec := act.ActionSpec()
	cctx := ctx.ChildContext(config.Base("", core.Start))
	core.Start(cctx)
	// msg.Sender().Cell().Send(message.New("matrix", "connect").WithSender(cctx))
	return true
}
